Device-Tree bindings for LIRC TX driver for Nokia N900(RX51)

Required properties:
	- compatible: should be "nokia,n900-ir".
	- pwms: specifies PWM used for IR signal transmission.

Example node:

	pwm9: dmtimer-pwm@9 {
		compatible = "ti,omap-dmtimer-pwm";
		ti,timers = <&timer9>;
		ti,clock-source = <0x00>; /* timer_sys_ck */
		#pwm-cells = <3>;
	};

	ir: n900-ir {
		compatible = "nokia,n900-ir";

		pwms = <&pwm9 0 26316 0>; /* 38000 Hz */
	};
